Bug 476524

Summary: Review Request: python-zope-testing - Zope Testing Framework
Product: [Fedora] Fedora Reporter: Conrad Meyer <konrad>
Component: Package ReviewAssignee: Fabian Affolter <mail>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, fschwarz, mail, notting, robinlee.sysu
Target Milestone: ---Flags: mail: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-26 22:41:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 476475    
Bug Blocks: 476523, 476525, 476526, 476527, 476528, 476600    

Description Conrad Meyer 2008-12-15 07:47:42 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/python-zope-testing.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/python-zope-testing-3.7.1-1.fc9.src.rpm
Description:
This package provides a number of testing frameworks. It includes a
flexible test runner, and supports both doctest and unittest.
Comment 1 Fabian Affolter 2009-04-22 18:16:30 EDT
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture.
     Tested on: F10/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop24 SRPMS]$ rpmlint python-zope-testing-3.7.1-1.fc9.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop24 noarch]$ rpmlint python-zope-testing-3.7.1-1.fc10.noarch.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: ZPLv2.1
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     Upstream source: 23e9389228c79f4343e6b299d7d51fc0
     Build source:    23e9389228c79f4343e6b299d7d51fc0
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.  %find_lang used for locales.
 [-] %{optflags} or RPM_OPT_FLAGS are honoured.
 [-] ldconfig called in %post and %postun if required.
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not own files or directories owned by other packages.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section.
 [x] Package uses nothing in %doc for runtime.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.

 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Header files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] -debuginfo subpackage is present and looks complete.
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install.
 [-] Uses parallel make (%{?_smp_mflags})
 [?] Latest version is packaged. [1]
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F10/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1315805
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] Changelog in allowed format

[1] Version 3.7.3 was released. 

CHANGES.txt and README.txt should be added.
Comment 2 Conrad Meyer 2009-04-23 02:30:52 EDT
Bumped to 3.7.3, added the two files. New URLs:

http://konradm.fedorapeople.org/fedora/SPECS/python-zope-testing.spec
http://konradm.fedorapeople.org/fedora/SRPMS/python-zope-testing-3.7.3-1.fc10.src.rpm

Thanks for taking a look at this :).
Comment 3 Fabian Affolter 2009-04-23 09:30:47 EDT
Thanks, package APPROVED
Comment 4 Conrad Meyer 2009-04-23 10:47:10 EDT
New Package CVS Request
=======================
Package Name: python-zope-testing
Short Description: Zope Testing Framework
Owners: konradm
Branches: F-11
InitialCC:
Comment 5 Kevin Fenzi 2009-04-23 12:21:48 EDT
cvs done.
Comment 6 Conrad Meyer 2009-04-26 22:41:08 EDT
Imported and built:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1321776
Comment 7 Fabian Affolter 2009-07-09 11:30:55 EDT
Can you please build 'python-zope-testing' for F11?  This way I can do the review for 'python-zope-proxy' because at the moment I have no Fedora Rawhide machine with me.  Thanks.
Comment 8 Conrad Meyer 2009-07-09 11:37:50 EDT
Sure, but it'll be a bit; you can just rebuild the F12 SRPM in mock on your machine, btw (or do a Koji scratch build).
Comment 9 Conrad Meyer 2009-07-09 14:23:48 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=1463769 <-- built for F11. If it works ok for you, would you mod up https://admin.fedoraproject.org/updates/python-zope-testing-3.7.3-3.fc11 ? Thanks.
Comment 10 Robin Lee 2012-09-11 21:30:27 EDT
Package Change Request
======================
Package Name: python-zope-testing
New Branches: el6
Owners: tdabasin

EL6 branch for tdabasin@redhat.com
Comment 11 Jon Ciesla 2012-09-11 21:41:46 EDT
Git done (by process-git-requests).